ALSA-2024:2137

Source
https://errata.almalinux.org/9/ALSA-2024-2137.html
Import Source
https://github.com/AlmaLinux/osv-database/blob/master/advisories/almalinux9/ALSA-2024:2137.json
Related
  • CVE-2023-1729
Published
2024-04-30T00:00:00Z
Modified
2024-05-07T14:55:05Z
Summary
Low: LibRaw security update
Details

LibRaw is a library for reading RAW files obtained from digital photo cameras (CRW/CR2, NEF, RAF, DNG, and others).

Security Fix(es):

  • LibRaw: a heap-buffer-overflow in raw2image_ex() (CVE-2023-1729)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Additional Changes:

For detailed information on changes in this release, see the AlmaLinux Release Notes linked from the References section.

References

Affected packages

AlmaLinux:9 / LibRaw

Package

Name
LibRaw

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0The exact introduced commit is unknown
Fixed
0.21.1-1.el9

AlmaLinux:9 / LibRaw-devel

Package

Name
LibRaw-devel

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0The exact introduced commit is unknown
Fixed
0.21.1-1.el9